[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [StatePersistenceCallback](index.md) / [persist](./persist.md)

# persist

`abstract fun persist(data: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/OAuthAccount.kt#L50)

### Parameters

`data` - Account state representation as a string (e.g. as json).